|  | Home · All Classes · Modules

# QTextDecoder Class Reference
[QtCore module]

The QTextDecoder class provides a state-based decoder. More...

### Methods

- __init__ (self, QTextCodec)
- QString toUnicode (self, str)
- toUnicode (self, QString, str)
- QString toUnicode (self, QByteArray)

## Detailed Description

The QTextDecoder class provides a state-based decoder.

A text decoder converts text from an encoded text format into Unicode using a specific codec.

The decoder converts text in this format into Unicode, remembering any state that is required between calls.

See also QTextCodec.makeDecoder() and QTextEncoder.

## Method Documentation

### QTextDecoder.__init__ (self, QTextCodec)

Constructs a text decoder for the given codec.

### QString QTextDecoder.toUnicode (self, str)

Converts the first len bytes in chars to Unicode, returning the result.

If not all characters are used (e.g. if only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

### QTextDecoder.toUnicode (self, QString, str)

This is an overloaded function.

The converted string is returned in target.

### QString QTextDecoder.toUnicode (self, QByteArray)

This is an overloaded function.

Converts the bytes in the byte array specified by ba to Unicode and returns the result.